# TdApi.ChatEventMemberInvited

Package it.ernytech.tdlib

## Class TdApi.ChatEventMemberInvited

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventMemberInvited

Enclosing class:
  TdApi

    public static class TdApi.ChatEventMemberInvited
    extends TdApi.ChatEventAction

A new chat member was invited.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatMemberStatus` `status` New member status.
`int` `userId` New member user identifier.

### Constructor Summary

Constructors
`ChatEventMemberInvited()` Default constructor.
`ChatEventMemberInvited​(int userId, TdApi.ChatMemberStatus status)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### userId

    public int userId

New member user identifier.

#### status

    public TdApi.ChatMemberStatus status

New member status.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventMemberInvited

    public ChatEventMemberInvited()

Default constructor.

#### ChatEventMemberInvited

    public ChatEventMemberInvited​(int userId,
                                  TdApi.ChatMemberStatus status)

Constructor for initialization of all fields.

Parameters:
  `userId` - New member user identifier.
  `status` - New member status.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR